summaryrefslogtreecommitdiffstats
path: root/cvp/htmlize/doc-build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'cvp/htmlize/doc-build.sh')
-rw-r--r--cvp/htmlize/doc-build.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/cvp/htmlize/doc-build.sh b/cvp/htmlize/doc-build.sh
new file mode 100644
index 00000000..33560cee
--- /dev/null
+++ b/cvp/htmlize/doc-build.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+set -o errexit
+
+# Create virtual environment
+virtualenv $WORKSPACE/testapi_venv
+source $WORKSPACE/testapi_venv/bin/activate
+
+# Swgger Codegen Tool
+url="http://repo1.maven.org/maven2/io/swagger/swagger-codegen-cli/2.2.1/swagger-codegen-cli-2.2.1.jar"
+
+# Check for jar file locally and in the repo
+if [ ! -f swagger-codegen-cli.jar ];
+then
+ wget http://repo1.maven.org/maven2/io/swagger/swagger-codegen-cli/2.2.1/swagger-codegen-cli-2.2.1.jar -O swagger-codegen-cli.jar
+fi
+
+# Install Pre-requistics
+pip install requests
+
+python ./utils/test/testapi/htmlize/htmlize.py -o ${WORKSPACE}/